summaryrefslogtreecommitdiff
path: root/packages/speech-dispatcher/files/speech-dispatcher.init
diff options
context:
space:
mode:
authorMatthias Hentges <oe@hentges.net>2008-01-05 16:25:30 +0000
committerMatthias Hentges <oe@hentges.net>2008-01-05 16:25:30 +0000
commit102a2ccf962e5d85f50a7eb82821879948eaa8db (patch)
treefaafa0390b31c170ee3ce8fcd9ebee20163a0f44 /packages/speech-dispatcher/files/speech-dispatcher.init
parent2eb32292666a556a1a0b5dd4c346c0b97e91a1a8 (diff)
speech-dispatcher:
- Fix RPROVIDES so it doesn't pull in a ton of -dev packages - Update EXTRA_OECONF to exclude modules we do not need and enable espeak - Update configs to set espeak module as default and fix logfile destination - Install initscript (this could use some work...) - Tested to work on fic-gta01
Diffstat (limited to 'packages/speech-dispatcher/files/speech-dispatcher.init')
-rw-r--r--packages/speech-dispatcher/files/speech-dispatcher.init42
1 files changed, 42 insertions, 0 deletions
diff --git a/packages/speech-dispatcher/files/speech-dispatcher.init b/packages/speech-dispatcher/files/speech-dispatcher.init
new file mode 100644
index 0000000000..c3be5d8385
--- /dev/null
+++ b/packages/speech-dispatcher/files/speech-dispatcher.init
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/speech-dispatcher
+PIDFILE=/var/run/speech-dispatcher.pid
+NAME=speech-dispatcher
+DESC='Speech Dispatcher'
+USER=speech-dispatcher
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo "Starting $NAME"
+ start-stop-daemon --start --quiet --pidfile $PIDFILE \
+ --exec $DAEMON
+
+ ;;
+ stop)
+ echo "Stopping $NAME"
+ start-stop-daemon --oknodo --stop --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
+ ;;
+ restart)
+ echo "Restarting $NAME"
+ start-stop-daemon --oknodo --stop --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
+ sleep 3
+ start-stop-daemon --start --quiet --pidfile $PIDFILE \
+ --exec $DAEMON
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0